[IPython-dev] Closing in on 0.11? We need some review/feedback help

John Hunter jdh2358@gmail....
Wed Jan 13 10:56:29 CST 2010


On Wed, Jan 13, 2010 at 4:19 AM, Fernando Perez <fperez.net@gmail.com> wrote:
> Hi folks,
>
> I've managed to make enough progress on this machinery that I think we
> can soon start looking at what's needed to call it 0.11.  But we could

What minimum version of python are you targeting?  I just attempted to
install at work on python2.4 and got

johnh@udesktop191:ipython> python setup.py install --prefix=~/dev
Traceback (most recent call last):
  File "setup.py", line 33, in ?
    from IPython.utils.genutils import target_update
  File "/home/udesktop191/johnh/python/bzr/ipython/IPython/__init__.py", line 41
    from .config.loader import Config
         ^
SyntaxError: invalid syntax


More information about the IPython-dev mailing list